## org.eclipse.datatools.modelbase.sql.query
Interface QueryNested

All Superinterfaces:
  QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Implementing Classes:
  QueryNestedImpl

    public interface QueryNested

extends QueryExpressionBody

A representation of the model object 'Query Nested'.

The following features are supported:

- `Nested Query`

See Also:
  `SQLQueryModelPackage.getQueryNested()`

Method Summary
`QueryExpressionBody` `getNestedQuery()` Returns the value of the 'Nested Query' containment reference.
`void` `setNestedQuery(QueryExpressionBody value)` Sets the value of the '`Nested Query`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getQueryNest, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setQueryNest, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getNestedQuery

    QueryExpressionBody getNestedQuery()

  Returns the value of the 'Nested Query' containment reference. It is bidirectional and its opposite is '`Query Nest`'.

  If the meaning of the 'Nested Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nested Query' containment reference.
  See Also:
    `setNestedQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryNested_NestedQuery()`, `QueryExpressionBody.getQueryNest()`

### setNestedQuery

    void setNestedQuery(QueryExpressionBody value)

  Sets the value of the '`Nested Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Nested Query' containment reference.
  See Also:
    `getNestedQuery()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.